unit uContactosViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils,
  uEditorClientes, uEditorProveedores,
  uEditorEmpleados, uEditorElegirCLientes,
  uEditorCliente, uEditorProveedor,
  uEditorEmpleado, uEditorElegirProveedores, uEditorDireccion,
  uEditorElegirDireccionEntrega, uEditorGruposCliente, uEditorGruposProveedor, uEditorGruposEmpleado,
  uEditorFichasEmpleadoReport, uEditorEtiquetasContactosReport,
  uEditorDatoBancario, uEditorPersonal, uEditorElegirPersonaContacto;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorClientes, 'EditorClientes');
  EditorRegistry.RegisterClass(TfEditorProveedores, 'EditorProveedores');
  EditorRegistry.RegisterClass(TfEditorEmpleados, 'EditorEmpleados');

  EditorRegistry.RegisterClass(TfEditorCliente, 'EditorCliente');
  EditorRegistry.RegisterClass(TfEditorProveedor, 'EditorProveedor');
  EditorRegistry.RegisterClass(TfEditorEmpleado, 'EditorEmpleado');

  EditorRegistry.RegisterClass(TfEditorElegirClientes, 'EditorElegirClientes');
  EditorRegistry.RegisterClass(TfEditorElegirProveedores, 'EditorElegirProveedores');

  EditorRegistry.RegisterClass(TfEditorDireccion, 'EditorDireccion');
  EditorRegistry.RegisterClass(TfEditorElegirDireccionEntrega, 'EditorElegirDireccionEntrega');

  EditorRegistry.RegisterClass(TfEditorPersonal, 'EditorPersonalContacto');

  EditorRegistry.RegisterClass(TfEditorGruposCliente, 'EditorGruposCliente');
  EditorRegistry.RegisterClass(TfEditorGruposProveedor, 'EditorGruposProveedor');
  EditorRegistry.RegisterClass(TfEditorGruposEmpleado, 'EditorGruposEmpleado');

  EditorRegistry.RegisterClass(TfEditorDatoBancario, 'EditorDatoBancarioContacto');

  EditorRegistry.RegisterClass(TfEditorFichasEmpleadoPreview, 'EditorFichasEmpleadoPreview');
  EditorRegistry.RegisterClass(TfEditorEtiquetasContactosPreview, 'EditorEtiquetasContactosPreview');

  EditorRegistry.RegisterClass(TfEditorElegirPersonaContacto, 'EditorElegirPersonaContacto');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorClientes);
  EditorRegistry.UnRegisterClass(TfEditorProveedores);
  EditorRegistry.UnRegisterClass(TfEditorEmpleados);

  EditorRegistry.UnRegisterClass(TfEditorCliente);
  EditorRegistry.UnRegisterClass(TfEditorProveedor);
  EditorRegistry.UnRegisterClass(TfEditorEmpleado);

  EditorRegistry.UnRegisterClass(TfEditorElegirClientes);
  EditorRegistry.UnRegisterClass(TfEditorElegirProveedores);

  EditorRegistry.UnRegisterClass(TfEditorDireccion);
  EditorRegistry.UnRegisterClass(TfEditorElegirDireccionEntrega);

  EditorRegistry.UnRegisterClass(TfEditorPersonal);

  EditorRegistry.UnRegisterClass(TfEditorGruposCliente);
  EditorRegistry.UnRegisterClass(TfEditorGruposProveedor);
  EditorRegistry.UnRegisterClass(TfEditorGruposEmpleado);

  EditorRegistry.UnRegisterClass(TfEditorDatoBancario);

  EditorRegistry.UnRegisterClass(TfEditorFichasEmpleadoPreview);
  EditorRegistry.UnRegisterClass(TfEditorEtiquetasContactosPreview);

  EditorRegistry.UnRegisterClass(TfEditorElegirPersonaContacto);
end;

end.
